/************************************************************
*           Let's GO PIC: gestione digital I/O              * 
*       sviluppato per Micro-GT PIC versatile I.D.E.        *
*           13 settembre 2010: Marco Gottardo               *
*      Impostare correttamente i jumper sulla demoboard     *
*       Gli ingressi sono bistabili (interruttori N.A.)     *
*                                                           *
* effetti disponibili:                                      *
*    car1 -> effetto supercar al PORT B                     *
*    car2 -> effetto superca al PORT C                      *
*    car1_2 -> effetto superca dal PORTB prosegue sul PORTC *
*                                                           *
************************************************************/

#include <pic.h>
#include <delay.h>

#define car1   RA0
#define car2   RA1
#define car1_2 RA2
#define stop   RA3

void main(){
	TRISA=0x3F; //6 bit della porta A configurati come ingressi
	TRISB=0; //tutta la porta B in uscita
	TRISC=0; //tutta la porta C in uscita
	PORTB=0b00000000; //inizializza B la porta tutta spenta
	PORTC=0b00000000; //inizializza C la porta tutta spenta		
	while(1){
	    if (car1==1){ //effetto supercar al PORT B
		    PORTC=0b00000000; //azzera il port non in uso
		    PORTB=0b00000001;
		    DelayMs(255);
		    PORTB=0b00000010;
		    DelayMs(255);
		    PORTB=0b00000100;
		    DelayMs(255);
		    PORTB=0b00001000;
		    DelayMs(255);
		    PORTB=0b00010000;
		    DelayMs(255);
		    PORTB=0b00100000;
		    DelayMs(255);
		    PORTB=0b01000000;
		    DelayMs(255);
		    PORTB=0b10000000;
		    DelayMs(255);
		    PORTB=0b01000000;
		    DelayMs(255);
		     PORTB=0b00100000;
		    DelayMs(255);
		    PORTB=0b00010000;
		    DelayMs(255);
		    PORTB=0b00001000;
		    DelayMs(255);
		    PORTB=0b00000100;
		    DelayMs(255);
		    PORTB=0b00000010;
		    DelayMs(255);
		    
	    }
		 if (car2==1){//effetto supercar al PORT C
			PORTB=0b00000000; //azzera il port non in uso
			PORTC=0b00000001;
		    DelayMs(255);
		    PORTC=0b00000010;
		    DelayMs(255);
		    PORTC=0b00000100;
		    DelayMs(255);
		    PORTC=0b00001000;
		    DelayMs(255);
		    PORTC=0b00010000;
		    DelayMs(255);
		    PORTC=0b00100000;
		    DelayMs(255);
		    PORTC=0b01000000;
		    DelayMs(255);
		    PORTC=0b10000000;
		    DelayMs(255);
		    PORTC=0b01000000;
		    DelayMs(255);
		     PORTC=0b00100000;
		    DelayMs(255);
		    PORTC=0b00010000;
		    DelayMs(255);
		    PORTC=0b00001000;
		    DelayMs(255);
		    PORTC=0b00000100;
		    DelayMs(255);
		    PORTC=0b00000010;
		    DelayMs(255);
	    }
	     if (car1_2==1){//effetto lungo dal PORT B prosegue sul PORTC
		    PORTB=0b00000001;
		    DelayMs(255);
		    PORTB=0b00000010;
		    DelayMs(255);
		    PORTB=0b00000100;
		    DelayMs(255);
		    PORTB=0b00001000;
		    DelayMs(255);
		    PORTB=0b00010000;
		    DelayMs(255);
		    PORTB=0b00100000;
		    DelayMs(255);
		    PORTB=0b01000000;
		    DelayMs(255);
		    PORTB=0b10000000;
		    DelayMs(255);
		    PORTB=0b00000000; //pulisce portB per continuare su C
		    PORTC=0b00000001;
		    DelayMs(255);
		    PORTC=0b00000010;
		    DelayMs(255);
		    PORTC=0b00000100;
		    DelayMs(255);
		    PORTC=0b00001000;
		    DelayMs(255);
		    PORTC=0b00010000;
		    DelayMs(255);
		    PORTC=0b00100000;
		    DelayMs(255);
		    PORTC=0b01000000;
		    DelayMs(255);
		    PORTC=0b10000000;
		    DelayMs(255);
		    PORTC=0b01000000;
		    DelayMs(255);
		     PORTC=0b00100000;
		    DelayMs(255);
		    PORTC=0b00010000;
		    DelayMs(255);
		    PORTC=0b00001000;
		    DelayMs(255);
		    PORTC=0b00000100;
		    DelayMs(255);
		    PORTC=0b00000010;
		    DelayMs(255);
		    PORTC=0b00000001;
		    DelayMs(255);
		    PORTC=0b00000000;//pulisce effetto memoria al portC
		    PORTB=0b10000000;
		    DelayMs(255);
		    PORTB=0b01000000;
		    DelayMs(255);
		    PORTB=0b00100000;
		    DelayMs(255);
		    PORTB=0b00010000;
		    DelayMs(255);
		    PORTB=0b00001000;
		    DelayMs(255);
		    PORTB=0b00000100;
		    DelayMs(255);
		    PORTB=0b00000010;
		    DelayMs(255);
		    PORTB=0b00000001;
		    DelayMs(255);
		    
		    
	    }
	    if (car1==0){
	    PORTB=0b00000000; //pulisce memoria, porta B tutta spenta
	    }
	    if (car2==0){
	    PORTC=0b00000000; //pulisce memoria, porta C tutta spenta	
	    }
	}
		 	
}